Pandabase
Billing APIsCheckouts

Estimate checkout

POST
/stores/{storeId}/checkouts/estimate

Stateless price estimation with tax and coupon preview. Does not create a session — use this to show a price breakdown before creating a checkout.

Path Parameters

storeId*string

Store ID (shp_ prefix)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/stores/string/checkouts/estimate" \  -H "Content-Type: application/json" \  -d '{    "items": [      {        "product_id": "string",        "quantity": 1      }    ],    "country": "st"  }'
{  "ok": true,  "data": {    "merchant": {      "id": "string",      "name": "string",      "handle": "string",      "slug": "string",      "logo": "string",      "favicon": "string",      "accentColor": "string",      "primaryColor": "string",      "statementDescriptor": "string",      "supportEmail": "string"    },    "subtotal": 0,    "discount": {      "code": "string",      "amount": 0,      "type": "PERCENTAGE",      "value": 0    },    "tax": {      "rate": 0,      "amount": 0    },    "total": 0,    "items": [      {        "name": "string",        "amount": 0,        "quantity": 0,        "image": "string"      }    ],    "available_payment_methods": [      "CARD"    ]  }}

Last updated on